function challs_flash_update(){ 
	var a={};
    a.title = "上传文件"; 	
	a.FormName = "Filedata";
	a.url="upload.asp"; 
	a.parameter="bs=tyi&id=50"; 
	a.typefile=["Images (*.gif,*.png,*.jpg,*jpeg)","*.gif;*.png;*.jpg;*.jpeg;","GIF (*.gif)","*.gif;","PNG (*.png)","*.png;","JPEG (*.jpg,*.jpeg)","*.jpg;*.jpeg;"];
    a.UpSize=0;
	a.fileNum=0;
	a.size=1;
	a.FormID=['select','select2'];
	a.autoClose=1;
	a.CompleteClose=true;
	a.repeatFile=true;
	a.returnServer=true;
	a.MD5File = 1;
    a.loadFileOrder=true;
	a.mixFileNum=0;
	a.ListShowType = 2;
	a.InfoDownRight = "等待上传：%1%个  已上传：%2%个";
	return a ;
}
function challs_flash_onComplete(a){ 
	var name=a.fileName;
	var size=a.fileSize; 
	var time=a.updateTime; 
	var type=a.fileType; 
	document.getElementById('show').innerHTML+=name+' --- '+size+'字节 ----文件类型：'+type+'--- 用时 '+(time/1000)+'秒<br><br>'
}
function challs_flash_onCompleteData(a){ 
	document.getElementById('show').innerHTML+='<font color="#ff0000">服务器端反馈信息：</font><br />'+a+'<br />';	
}
function challs_flash_onStart(a){ 
	var name=a.fileName; 
	var size=a.fileSize; 
	var type=a.fileType; 
	document.getElementById('show').innerHTML+=name+'开始上传！<br />';
	return true; 
}
function challs_flash_onCompleteAll(a){ 
	document.getElementById('show').innerHTML+='<font color="#ff0000">所有文件上传完毕，</font>上传失败'+a+'个！<br />';
}
function challs_flash_onError(a){ 
	var err=a.textErr; 
	var name=a.fileName; 
	var size=a.fileSize; 
	var type=a.fileType; 
	document.getElementById('show').innerHTML+='<font color="#ff0000">'+name+' - '+err+'</font><br />';
}
function challs_flash_FormData(a){ 
	try{
		var value = '';
		var id=document.getElementById(a);
		if(id.type == 'radio'){
			var name = document.getElementsByName(id.name);
			for(var i = 0;i<name.length;i++){
				if(name[i].checked){
					value = name[i].value;
				}
			}
		}else if(id.type == 'checkbox'){
			if(id.checked){
				value = id.value;
			}
		}else{
			value = id.value;
		}
		return value;
	 }catch(e){
		return '';
	 }
}
function challs_flash_style(){ 
	var a = {};
	a.backgroundColor=['#fefeff','#f0f7fc','#e1f0f9'];	
	a.backgroundLineColor='#c4d9ee';					
	a.backgroundFontColor='#066AD1';					
	a.backgroundInsideColor='#FFFFFF';					
	a.backgroundInsideLineColor=['#e5edf5','c4d9ee'];	
	a.upBackgroundColor='#ffffff';						
	a.upOutColor='#023266';								
	a.upOverColor='#FF0000';							
	a.downBackgroundColor='#ffffff';					
	a.downOutColor='#023266';							
	a.downOverColor='#FF0000';			
	a.Top_backgroundColor=['#ffffff','#e1f0f9']; 		
	a.Top_fontColor='#245891';							
	a.button_overColor=['#FBDAB5','#f3840d'];			
	a.button_overLineColor='#e77702';					
	a.button_overFontColor='#ffffff';					
	a.button_outColor=['#ffffff','#dde8fe']; 			
	a.button_outLineColor='#91bdef';					
	a.button_outFontColor='#245891';					
	a.List_backgroundColor='#EAF0F8';					
	a.List_fontColor='#333333';							
	a.List_LineColor='#B3CDF1';							
	a.List_cancelOverFontColor='#ff0000';				
	a.List_cancelOutFontColor='#D76500';				
	a.List_progressBarLineColor='#B3CDF1';				
	a.List_progressBarBackgroundColor='#D8E6F7';		
	a.List_progressBarColor=['#FFCC00','#FFFF00'];		
	a.Err_backgroundColor='#C0D3EB';					
	a.Err_LineColor='#5D7CBB';							
	a.Err_cancelOverColor='#0066CC';					
	a.Err_cancelOutColor='#FF0000';						
	a.Err_fontColor='#245891';								
	return a;
}
var isMSIE = (navigator.appName == "Microsoft Internet Explorer");   
function thisMovie(movieName){   
  if(isMSIE){   
  	return window[movieName];   
  }else{
  	return document[movieName];   
  }   
}